head	1.1;
access;
symbols;
locks; strict;
comment	@# @;
expand	@b@;


1.1
date	2003.12.18.00.41.00;	author spike;	state Exp;
branches;
next	;


desc
@@


1.1
log
@first commit for KLDP.net
@
text
@
Wed Dec 17 13:37:52 KST 2003
	- 여러 유저분들의 요청에 따라 로그인 페이지에서 여느 로그인 폼에서처럼
	  패스워드까지 입력하고 나서, 엔터로 바로 form을 submit할 수 있도록
	  수정했습니다.

Wed Dec 17 13:29:29 KST 2003
	- 페이지 이동이 없을 경우, 자동으로 로그아웃하는 루틴에서
	  버그가 있었습니다.(www-data/lib/Site.php)
	- 이를 수정하기 위해서 Site.php에 is_session_alive() method를
	  추가해서 매번 페이지가 새로 로딩될 때마다 체크하도록 합니다.

Wed Dec 17 09:51:26 KST 2003
	- 거의 한달만이군요. 버그가 없었다기보다는 지금까지 발견하려는
	  노력이 부족했던 듯합니다.

	- 이번 버그는 가짜 이메일 주소 관련입니다. 도메인 관리자가
	  허용한 개수 이상으로 추가할 수 있던 문제를 수정했습니다.
	  그리고 이미 등록된 이름을 사용할 수 있었던 버그도
	  수정했습니다.

Tue Nov 18 23:12:34 KST 2003
	- 주소록 보기에서 이메일주소가 없는 주소록도 표시하도록
	  수정했습니다.

Mon Nov 17 23:36:53 KST 2003
	- 페이지 번호가 넘어갈 경우, 빈 리스트가 출력되는 버그를
	  수정했습니다.

Thu Nov 13 06:38:13 KST 2003
	- '새 메세지 작성'에서 위지위그 에디터가 아닌 기본 TEXTAREA 폼을
	  선택했을 경우, 메세지 보내기 버튼이 작동하지 않던 버그를
	  수정했습니다.

Wed Nov 12 19:14:52 KST 2003
	- 아이템 리스트에서 디렉토리의 정보, 총 아이템 개수, 읽지 않은
	  메세지 개수, 문서 개수 등을 표시하도록 했습니다.

Tue Nov 11 04:11:45 KST 2003
	- postmaster로 로그인하면 일반사용자로 취급해서 메세지를
	  처리합니다.

Tue Nov  4 21:16:35 KST 2003
	- 데이터베이스 테이블과 query를 담고 있던 config/tables.php를
	  없애고, 대신 __MESIAN_ROOT__/etc/tables.xml 을 작성하고
	  www-data에서 이 정보를 참고하도록 관련 루틴들을 수정했습니다.

Mon Nov  3 22:03:25 KST 2003
	- 문서 업로드에서 data/doc 디렉토리에 알맞은 권한이 없을 경우,
	  에러메세지를 출력하도록 수정했습니다.

Mon Nov  3 17:17:51 KST 2003
	- 전체관리자 페이지와 도메인 관리자 페이지에서 도메인 별명이 없을
	  경우 에러 메세지가 출력되는 버그를 수정했습니다.

Tue Oct 28 13:40:39 KST 2003
	- HTML 메세지 body를 처리할 때 body tag를 완전히 처리하도록
	  수정했습니다.

Tue Oct 28 13:31:31 KST 2003
	- 텍스트 메세지에 웹 URL 주소나 이메일 주소가 포함되어 있을 경우,
	  링크로 표시합니다.

Sat Oct 25 10:25:56 KST 2003
	- 가짜 이메일 주소를 이용해서 스팸메세지를 줄일 수 있도록 했습니다.
	  사용자 설정에 가짜 이메일 주소 설정 페이지를 추가했습니다.

Sat Oct 25 03:34:12 KST 2003
	- 외부서버에서 메세지 가져오기 페이지에서 서버이름과 함께 계정
	  이름도 표시하도록 수정했습니다.

Fri Oct 24 21:41:37 KST 2003
	- 헤더 메세지 더 보기에서 Delivered-To, CC도 함께 출력합니다.

Fri Oct 24 04:31:37 KST 2003
	- textarea로 덩어리가 있는, 즉 많은 양의 text를 보낼 때 발생했던
	  submit이 안되던 문제를 해결했습니다. 문제를 해결하기 위해서
	  action/global/post.php를 새로 작성했습니다.

Thu Oct 23 20:53:35 KST 2003
	- 위지위그 에디터를 사용할 수 있도록 Editor.php를 추가했습니다.
	  자바스크립트가 완전하게 작동하지 않는 버그가 있습니다.

Sun Oct 19 04:32:40 KST 2003
	- 문서 카테고리/주소록 그룹 목록에 이미 지원진 아이템들이
	  업데이트되지 않던 버그가 수정되었습니다.

Sat Oct 18 10:15:03 KST 2003
	- 전화번호가 없을 때 주소록 목록 제목줄에서 "-"을 안보이도록 했습니다.

Sat Oct 18 10:02:25 KST 2003
	- 도메인 관리자가 사용자 용량 정책을 선택할 수 있도록 도메인 관리자
	  페이지에 폼을 추가했습니다. 사용자는 새로운 문서나 메세지를
	  보내거나 저장할 때 용량 체크 루틴을 거칩니다.

Sat Oct 18 05:14:45 KST 2003
	- 전체 사용 용량을 체크하는 class myDirectory->get_total_size()의
	  용량 확인 루틴을 변경했습니다. 훨씬 간결해졌습니다.

Fri Oct 17 23:48:26 KST 2003
	- 메세지 보기에서 이메일 주소 링크에 주소선택 페이지로 이동하도록
	  루틴을 수정했습니다.

Fri Oct 17 23:20:24 KST 2003
	- 나타나지 말아야할 php error log를 제거했습니다. 아직 좀 남아있는
	  듯하네요.

Fri Oct 17 20:11:17 KST 2003
	- 메세지 보기에서 Delivered-To 헤더 정보도 To 정보와 함께
	  표시하도록 루틴을 수정했습니다. 이는 모두 메세지 필터링
	  때문입니다.

Fri Oct 17 08:28:44 KST 2003
	- 메세지 필터링에서 받는 사람(To)으로도 필터링할 수 있도록 루틴을
	  추가했습니다.

Fri Oct 17 03:01:31 KST 2003
	- 원본 헤더 메세지 보기를 없애고 To field까지 보여주는 "헤더 더
	  보여주기" 버튼을 추가했습니다.

Fri Oct 17 00:04:25 KST 2003
	- 메세지 보기에서 특이한 주소, #이나 _이 포함된 이메일 주소를
	  제대로 처리하지 못하는 문제를 수정했습니다.

Thu Oct 16 02:21:50 KST 2003
	- DRAFT 디렉토리 리스트에서 메세지를 선택해서 보낼 수 있도록
	  했습니다.

Wed Oct 15 12:54:16 KST 2003
	- DRAFT 디렉토리를 추가했습니다.

Wed Oct 15 02:22:25 KST 2003
	- 메세지 작성 페이지에서 에러메세지가 빈 페이지와 함께 출력되는
	  버그를 수정했습니다.

Wed Oct 15 01:16:00 KST 2003
	- 찾기 결과 페이지를 일반 아이템 리스트와 동일한 모양으로
	  재구성했습니다.

Mon Oct 13 06:27:08 KST 2003
	- 디렉토리 select option form에서 하위 디렉토리가 제대로 표현되지
	  않던 문제를 수정했습니다.

Mon Oct 13 06:10:12 KST 2003
	- 아이템을 이동할 때 에러 메세지만 출력되던 버그를 수정했습니다.

Sun Oct 12 02:24:56 KST 2003
	- 이메일 주소 차단 페이지에서 이메일 주소뿐만 아니라 도메인 주소도
	  입력할 수 있도록 추가했습니다.

Sun Oct 12 01:57:12 KST 2003
	- 시간을 출력할 때 일/월/년 별로 다른 포맷을 사용하도록
	  수정했습니다. 그리고 각 아이템 보기 페이지에서는 최대한 자세한
	  시간을 보여줍니다. 모두~

Sun Oct 12 00:13:07 KST 2003
	- "첨부파일로 메일 보내기" 버튼 위에 마우스를 올려놓으면 나타나는
	  메세지에 <br> 태그가 노출되는 버그를 수정했습니다. (보고:마사)

Sat Oct 11 22:57:01 KST 2003
	- 메세지를 작성할 때 사용자 서명을 포함시키지 않을 경우에도 줄이
	  포함되던 부분을 수정했습니다.

Sat Oct 11 22:07:22 KST 2003
	- 보낸편지함에 새로운 필드, 확인시간을 추가했습니다. 메세지를 받은
	  수신자가 메일을 확인하면 확인시간에 그 시간이 기록됩니다. 이전에
	  상대방이 확인했다는 메세지는 지웠습니다. 상당히 지저분했습니다.

Sat Oct 11 17:02:19 KST 2003
	-  첨부파일 보기/추가 페이지에서 첨부파일 총 크기를 표시하도록
		했습니다.

Sat Oct 11 17:01:21 KST 2003
	- 문서를 첨부파일에 포함시킬 수 있도록 하고 난 뒤에 첨부파일
	  보기/추가 페이지에서 첨부파일 제한이 적용되지 않던 버그를
	  수정했습니다.

Sat Oct 11 06:33:09 KST 2003
	- 주소록에서 그룹전체에게 메일 보내기 버튼이 작동하지 않던 버그를
	  수정했습니다.

Fri Oct 10 21:52:05 KST 2003
	- 주소록 리스트에서 내용이 없어도 메일 보내기 버튼이 출력되는
	  버그를 수정했습니다. 그리고 빈 아이템을 출력시키던 버그 또한
	  수정했습니다. 에고고~~

Thu Oct  9 17:52:10 KST 2003
	- 주소를 차단하고 나서 결과 페이지에서 없는 이미지를 호출하는
	  버그를 수정했습니다. (아직도 구버전의 흔적이~~)

Wed Oct  8 22:02:57 KST 2003
	- 답장을 보낼 때 원본 메세지 헤더에 Reply-To 필드가 있을 경우엔
	  Reply-To 필드를 사용하도록 수정했습니다.

Wed Oct  8 21:01:05 KST 2003
	- cid가 포함된 메세지를 제대로 보여주지 못하는 버그를 해결했습니다.

Wed Oct  8 17:53:09 KST 2003
	- 메시앙 전체관리자의 도메인 관리 페이지에서 도메인 정보를 수정했을
	  경우, 설정이 바뀌지 않던 버그를 수정했습니다. 이 버그는
	  action/global/global/domain.php에서 도메인 정보 중 사용자가
	  사용할 수 있는 리소스의 한계치를 지정하면서 user_priv 테이블을
	  업데이트하게 되는데, user_limit이라는 존재하지 않는 column을
	  업데이트하면서 발생했습니다.

Wed Oct  8 15:21:41 KST 2003
	- 주소록, 문서 페이지에서 속이 빈 아이템이 출력되는 버그를
	  수정했습니다. 다만 {card, doc}_gropu_<id> 에 기록된 아이템
	  리스트를 업데이트 하진 않습니다. 수정이 필요합니다.

Wed Oct  8 13:10:35 KST 2003
	- 주소록 전체 보기 페이지와 문서 카테고리 전체 보기 페이지에서
	  휴지통에 이미 들어간 아이템이 출력되는 버그를 수정했습니다.
	  array_search() 대신 in_array()를 사용했습니다.

Tue Oct  7 21:18:22 KST 2003
	- $url/을 호출하면 로그인 했다고 해도 자동으로 로그인 페이지로
	  이동하던 버그를 수정했습니다. lib/Site.php의 set_direction()과
	  init2()에 버그가 있었습니다. set_direction()을 위해서 init1()을
	  추가했습니다.

Tue Oct  7 21:09:15 KST 2003
	- 등록된 문서를 첨부파일로 보낼 수 있도록 했습니다.

Tue Oct  7 15:50:28 KST 2003
	- 문서 메뉴를 추가했습니다. 이제 문서도 주소록을 구릅으로
	  정리하듯이 카테고리 별로 정리할 수 있습니다.
Sat Oct  4 18:35:33 KST 2003
	- 도메인 관리자 페이지에서 사용자 리스트와 사용자 별명 리스트에서
	  페이지 별로 출력하도록 루틴을 추가했습니다.

Sat Oct  4 18:35:08 KST 2003
	- 주소록 리스트에서 페이지가 제대로 출력되지 않던 버그를
	  수정했습니다.

Sat Oct  4 15:19:56 KST 2003
	- 메세지 내용으로 필터링 페이지에서 설정을 바꾼 후에 결과 메세지를
	  출력하도록 했습니다.

Sat Oct  4 15:09:25 KST 2003
	- 고아 아이템을 '임시저장'(tmp)에 출력하도록 lib/Items.php의
	  get_list()에 루틴을 추가했습니다.

Thu Oct  2 13:55:01 KST 2003
	- 메세지 필터링에서 그냥 지움을 선택했을 경우, 규칙 정보를 다시
	  조회하면 지움 체크박스가 체크되지 않는 문제점 수정했습니다.

Thu Oct  2 09:41:42 KST 2003
	- 메세지 보기 페이지에서 첨부파일 목록에 첨부파일 크기를 함께
	  표시하도록 수정했습니다. (제안:마사)

Thu Oct  2 09:07:51 KST 2003
	- 메세지 보기 페이지에서 전체 헤더를 볼 수 있도록 "메세지 원본 헤더
	  보기" 버튼을 추가하고 lib/Module_message.php의 view() method 를
	  수정했습니다.

Thu Oct  2 07:56:44 KST 2003
	 - 전체 관리자에서 도메인 설정에서 설정 제한 항목을 변경하면 그
		도메인의 사용자도 도메인 설정에 맞게 항목한계에 제한받도록
		수정했습니다. 단, 사용자와 도메인이 벌써 한계 이상으로 설정한
		항목은 지우지는 않습니다. 대신 추가할 수는 없겠죠.

Wed Oct  1 19:07:11 KST 2003
	- 사용자가 '내 디렉토리' 아래에 디렉토리를 만들지 않고 복사/이동을
	  할 경우, 그냥 아무런 메세지 없이 전체 디렉토리 리스트가 표시되는
	  것보다 새로운 디렉토리를 만들도록 유도하는 것이 나을 듯 싶네요.
	  그렇게 수정했습니다. 더 나은 아이디어는 언제라도!! (보고:마사)

Wed Oct  1 16:23:06 KST 2003
	- 기본적으로 새로운 메세지가 임시저장에 저장되는데, 아무런 안내
	  메세지가 없었네요. 접속 후 첫페이지에 안내 메세지를
	  포함시켰습니다.

Wed Oct  1 15:08:53 KST 2003
	- 메세지 필터링 페이지에서 현재 설정된 규칙들의 숫자가 항상 0개로
	  표시되는 문제를 수정했습니다.

Mon Sep 29 15:28:47 KST 2003
	- 시간을 언어설정에 맞게 include/print_time.php 수정했습니다.

Mon Sep 29 11:25:59 KST 2003
	- user alais와 domain alias를 여러개를 설정할 수 있도록
	  변경했습니다. 도메인 관리자에서 도메인 별명을 변경할 수 없도록
	  변경했습니다.

Mon Sep 29 08:09:56 KST 2003
	- domain을 전체 관리자에서 중단시킬 경우, invalid.php를 호출하도록
	  했습니다. 어떤 페이지를 호출해도 invalid.php를 호출합니다. 단,
	  중단시킨 후라도 현재 로그인한 사용자라면 계속 사용할 수
	  있습니다. 대신 로그아웃해버리면 사용이 중단됩니다.

Mon Sep 29 03:16:10 KST 2003
	- 사용자 인증 관련 메서드들을 모두 정리했습니다. mail, domain,
	  global 모두 authenticate 메서드를 호출하도록
	  lib/Authentication.php를 수정했습니다.

Sun Sep 28 10:35:02 KST 2003
	- 주소록을 추가한 이후에 메일 디렉토리로 이동하던 것을 주소록으로
	  이동하도록 action/card/add.php를 수정했습니다. (보고:마사)

Sun Sep 28 08:36:59 KST 2003
	- 전체 관리자 페이지에서 메일 필터링, 메일 주소 차단을 설정하기
	  위해서 lib/Extend_message.php, lib/Address.php에서 config_id가
	  global일 경우, 특별하게 취급하도록 루틴을 수정했습니다. 그리고
	  최대로 가질 수 있는 필터링 개수와 차단 주소 수를 결정하는
	  $_SESSION["config_filter"], $_SESSION["config_block_address"]가
	  -1인 정수값을 가질 때는 무제한으로 설정할 수 있도록 루틴을
	  수정했습니다.

Sun Sep 28 06:54:43 KST 2003
	- 전체 관리자 패스워드가 기본값인 'mesianpassword'일 경우에, 즉
	  메시앙을 설치하고 나서 처음 로그인할 때 패스워드를 변경하도록
	  패스워드 변경 페이지를 추가했습니다.

Sun Sep 28 06:25:37 KST 2003
	- 전체 관리자 페이지를 추가했습니다. 전체 관리자 페이지에는 '도메인
	  관리', '메일주소 차단', '메일 필터링 설정', '로그 보기' 등의
	  메뉴가 포함되어 있습니다.
	  : 전체 관리자 페이지는 로그인 페이지에서 'mesian@@mydomain.org'를
	  아이디로, 'mesianpassword'가 기본값입니다. 이 값은 추후에 변경할
	  수 있습니다.

Sun Sep 28 02:29:34 KST 2003
	- address action selection box에서 이미지가 사라진 문제를
	  수정했습니다.(보고:마사)
	- global.css에서 기본 글꼴 크기를 8pt에서 9pt로 수정했습니다.
	  익스에서도 잘 보이네요.(보고:마사)

Sat Sep 27 20:28:02 KST 2003
	- config/tables.php, reg_user 쿼리 문에서 ,가 빠진 실수
	  고쳐졌습니다.

Sat Sep 27 20:18:42 KST 2003
	- 보낸편지함에 있는 메세지를 읽을 때 수신확인이 체크되는 버그를
	  수정했습니다. 0.3으로 올라오면서 message_id가 이전 숫자로만
	  되어있던 것이 sha값으로 바뀌면서 걸러내지 못한 문제였습니다.

Sat Sep 27 04:08:37 KST 2003
	- domain alias를 지원하기 위해서 폼과 action/global/domain.php,
	  lib/Domains.php에 필요한 루틴을 추가했습니다.

Sat Sep 27 01:01:35 KST 2003
	- 도메인 관리자 페이지에 도메인 설정 중 도메인 관리자가 변경할 수
	  있는 설정페이지를 추가했습니다.

Fri Sep 26 12:47:12 KST 2003
	- 메일->일반설정 페이지에서 설정이 제대로 적용되지 않던 버그를
	  수정했습니다. 이 수정으로 "다른 메일 주소로 메세지 전달하기"가
	  제대로 변경됩니다.

Thu Sep 25 09:31:03 KST 2003
	- 메세지 필터링 페이지에서 도메인 필터링 설정도 볼 수 있게 내용을
	  추가했습니다. (제안:손님)

Thu Sep 25 08:27:44 KST 2003
	- 개인서명을 첨부하지 못하던 문제를 수정했습니다.

Thu Sep 25 07:55:21 KST 2003
	- 시간을 표시할 때 오늘/올해/나머지로 나누어서 표시하도록
	  수정했습니다.

Thu Sep 25 06:51:26 KST 2003
	- 주소록 페이지에서 휴지통 그룹을 추가했습니다. 휴지통 그룹에서는
	  주소록을 완전히 지울 수도, 살릴 수도 있습니다.

Thu Sep 25 01:27:25 KST 2003
	- 메세지를 보낼 때 각각의 메세지는 message_id값을 가집니다.
	  이전에는 message_id 값은 mktime() . rand()로 구했는데, engine이
	  메세지에 부여하는 sha1 값과 일치시키기 위해서 sha(mktime() .
	  rand())로 변경했습니다.

Wed Sep 24 18:01:11 KST 2003
	- 문서 변경할 때 새 파일을 업로드하지 못하던 문제를 수정했습니다.
	: 이 문제는 action/doc/modify.php의 mis-spelling 때문이었습니다.

Wed Sep 24 17:27:41 KST 2003
	- 사용자 추가, 사용자 별명 추가에서 하이픈(-)을 이름에 쓰지 못했던
	  버그를 수정했습니다. (보고:송요)
	  : lib/User.php에서 is_valid_name()의 이름체크 정규표현식에 문제가
	  있었네요.

Wed Sep 24 17:28:26 KST 2003
	- 메세지 저장시 모질라에서와는 다르게 MS 익스플로러에서 저장이 되지
	  않고 빈 페이지가 나타나는 문제를 수정했습니다. 익스플로러와
	  모질라의 HTML Header의 차이에 관해서는 관련문서를 참조하세요.
	  (보고:송요)

Wed Sep 24 01:48:40 KST 2003
	- config/tables.php에 remote_server table 구조에 password 항목의
	  mis-spelling. 수정했습니다.

Tue Sep 23 17:40:36 KST 2003
	- 리스트에서 정렬을 한 후에서 다른 페이지로 넘어간 후 이전 리스트로
	  다시 돌아갈 때 정렬이 한번 더 일어나는 것을 방지하기 위해서
	  lib/Site.php를 수정했습니다. check_history()와
	  register_history()에서 전체 url을 저장하던 것을 정렬 key, st를
	  제외시키고 저장하는 것으로 수정했습니다.

Tue Sep 23 17:05:02 KST 2003
	- lib/HTTP_lib.php가 추가되었습니다. 이 HTTP_lib.php에는
	  URI중에서 argument만 분리해서 array로 돌려주는
	  parse_url_to_array()가 있습니다.

Tue Sep 23 15:28:25 KST 2003
	- 리스트를 정렬할 때 발생하는 php WARNING message 를 초래하는 오류
	  몇가지를 수정했습니다. 이 오류는 lib/State.php와
	  lib/Exntend_card.php에서 발생하는데 아직 생성되지 않은 세션값,
	  user_card_group_sort_state을 호출하기 때문에 발생했습니다.
	  (보고:송요)

Mon Sep 22 22:33:14 KST 2003
	- theme 작업 완료. 버그 수정만 남았네요.

Mon Sep 22 20:16:33 KST 2003
	- 검색 페이지에서 특수문자와 글자 하나, MySQL 특수문자를 걸러내는
	  루틴을 추가했습니다.

Mon Sep 22 17:57:17 KST 2003
	- 이메일 주소로 차단 페이지와 필터링 페이지에서 메세지를 풍부하게
	  했습니다. 그리고 현재 설정된 정보를 표시하도록 추가했습니다.

Mon Sep 22 17:33:52 KST 2003
	- 사용자 설정 페이지에서 패스워드를 변경할 수 있도록 수정했습니다.
	  (제안:손님)

Mon Sep 22 13:41:54 KST 2003
	- document를 편집/저장할 때 저장이 안되고 빈페이지가 나타나는
	  버그를 수정했습니다.
	  : module/doc/action/modify.php의 문법 오류.

	- document를 프린트하기에서 프린트 창이 빈페이지로 뜨는 버그
	  수정했습니다.
	  : "include_once $global["root"] . "/lib/Address.php";"이
	  lib/Module_doc.php에 빠져있었네요.

Mon Sep 22 10:22:10 KST 2003
	- theme 기능을 추가했습니다.
	: lib/Template.php에 set_theme()가 사용자와 도메인의 theme를
	결정합니다.
	: theme는 template/아래에 디렉토리로 구성되고, 테마정보는
	template/theme_list.txt에 기록되어 설정 페이지에서 참조합니다.

Mon Sep 22 09:48:23 KST 2003
	- 도메인 관리자 페이지->사용자 정보 수정 페이지에서 설정이 바뀌지
	  않고 사용자 이름이 이미 사용 중이라는 메세지 출력하는 문제 수정
	- action/domain_user_info.php에서 처리 루틴 추가. (보고:송요)

Sun Sep 21 13:31:51 KST 2003
	- 메세지 필터링 리스트에서 조건에 맞을 경우 바로 지울 경우
	  '메세지를 그냥 지워버립니다.' 메세지 대신 '디렉토리..' 메세지가
	  출력되던 버그 수정했습니다. (보고:송요)

Sun Sep 21 09:05:33 KST 2003
	- lib/Mail_Message.php가 첨부파일을 제대로 처리하지 못하는 문제
	  수정. 첨부파일이 텍스트 문서이거나 html 문서일 경우에만 문제가
	  생기는데 이를 제대로 처리하도록 수정했습니다.

Sun Sep 21 08:08:07 KST 2003
	- module/message/function/do.php에서 메세지 원본을 escape하는 데
	  addslashes() 대신 lib/MySQLdb.php의 escape_string()을 사용하도록
	  수정했습니다. escape_string()은 ';'까지 escape합니다.

Sun Sep 21 05:57:31 KST 2003
	- 도메인 관리자 페이지->메일 필터링 설정-> 필터링 규칙 정보
	  페이지에서 메세지를 저장할 디렉토리 선택 폼이 비어있는 버그
	  수정했습니다. 이로 인해서 규칙을 추가하면 디렉토리 번호가 0으로
	  지정되어 전체 디렉토리로 표시되는 문제가 있었습니다. 이 버그를
	  해결하면서 lib/Directories.php에
	  return_select_options_of_default()와
	  return_select_options_of_user() 함수가 추가됐습니다. (보고:송요)

Sun Sep 21 05:42:18 KST 2003
	- 도메인 관리자 페이지-> 사용자 관리-> 사용자 정보 페이지에서
	  사용자 이름을 이미 등록된 다른 사용자 이름으로 변경해도 commit
	  되는 문제 수정했습니다. (보고:송요)
		: action/domain_user_info.php에서 사용자 이름 중복 체크 루틴이
		빠졌네요.

Sun Sep 21 04:39:40 KST 2003
	- config/tables.php에서 mail_filter 테이블 구조가 잘못 작성되어
	  있는 버그 수정. (보고:송요)
	  : 이 때문에 mail_filter 테이블이 사용자 추가시 제대로 commit 되지
	  못했습니다.
	- action/domain_user.php에서 여러 사용자를 삭제하지 못하는 문제
	  수정했습니다.
	  : drop table이 transaction에 적용되지 않는 듯합니다.(제가 잘못
	  알고 있나요?) 이 문제로 인해서 하나의 사용자만 삭제되는 문제가
	  있었습니다.
	- 도메인 관리자 페이지->사용자 관리 페이지에서 에러 메세지가
	  바뀌어서 출력되는 문제. 사용자를 추가하면 msg1(lang 참조)이
	  출력되는 등의 문제
	  : 사용자 추가/삭제에서 에러 메세지가 정상적으로 출력되도록
	  수정했습니다.

Sat Sep 20 23:33:18 KST 2003
	- lib/Site.php에 force_logout() 추가
	- action/login.php에서 정상 사용자가 아닐 경우
	  Site.py->force_logout() 사용합니다.

Sat Sep 20 22:11:27 KST 2003
	- action/login.php 에 중단된 사용자가 로그인되는 버그 수정. (보고:송요)

Sat Sep 20 18:03:49 KST 2003
	- module/message/action/filter.php(247)에서의 WARNING 에러 출력의
	  원인이었던 array 값의 버그 수정.

Sat Sep 20 06:47:13 KST 2003
	- lib/Authentication.php, lib/Authentication_Mail.php에서 login.php
	  대신 login을 호출하는 코딩 실수 버그 수정했습니다.

Sat Sep 20 17:04:08 KST 2003
	- 메세지 필터링 페이지에서 From field도 option에 따라 처리하도록
	  수정.
	- template/domain/filter_one.tmpl에서 규칙목록 버튼에 걸려있던
	  링크주소가 mail.php를 호출하는 잘못된 코드를 수정.

Fri Sep 19 23:16:10 KST 2003
	- lib/State.php parse_save_sort()의 return value 버그로
	  인한 php의 Warning message. 실패 return value를 array()
	  리턴하도록 변경. (보고:송요)

Fri Sep 19 22:19:41 KST 2003
	- 메세지 필터링에서 정규표현식 지원하도록 메세지만 추가.

Fri Sep 19 18:04:58 KST 2003
	- 도메인 관리자 페이지->메세지 내용으로 메일 처리 페이지에서
	  메세지 필터링 규칙 순서를 조정이 안되는 문제. (보고:송요)
	 : lib/Extend_message.php에성 get_sequence() 함수의 코딩
	  실수로 인한 버그 수정.

	- 사용자가 설정->메일->메세지내용으로 이메일 처리에서 필터링 규칙을
	  누르면 로그아웃되버리는 문제 수정
	 : Extend_message.php에서 config_domain_id 세션값을 체크하는
	  루틴에서 문제가 있었습니다. 

Tue Sep 18 06:59:10 KST 2003
	- v0.2-rc3 발표

Thu Sep 18 03:58:32 KST 2003
	- mail, domain 등 .php suffix 없이 작동하던 스크립트의 이름을
	  일반적인 php 스크립트 이름인 mail.php, domain.php 등으로 변경.
	  모든 .php suffix 없는 스크립트 이름을 모두 변경.

Wed Sep 17 22:06:21 KST 2003
	- 도메인 관리페이지에서 '메일주소로 차단' 항목을 추가했습니다.
	  도메인 수준에서 차단하고 싶은 메일 주소를 설정할 수 있습니다.

Wed Sep 17 21:37:12 KST 2003
	- 도메인 관리 페이지에서 mail filtering 페이지를 변경했습니다.
	  lib/Extend_message.py의 Control_message class를
	  사용하도록 했습니다.
	  이 덕분에 action/domain_filter가 전면적으로
	  수정됐습니다.

	- 도메인 필터링을 적용하다가 발견된 lib/Extend_message.py의 버그 수정.
	  get_new_sequence() 내용을 정리해서 get_total_number_of_filter()를 
	  이용하도록 수정.

Wed Sep 17 19:52:12 KST 2003
	- www-data 에서 포럼 관련 부분을 모두 정리하고 삭제했습니다.

Wed Sep 17 18:41:23 KST 2003
	- lib/Extend_message.php,
	  module/message/action/filter에 도메인 관리자가 설정한
	  filtering rules number 보다 많이 설정할 수 없도록 제한하는 루틴
	  추가. filtering rules number는 $_SESSION["config_filter"]로
	  체크합니다.

Wed Sep 17 15:53:23 KST 2003
	- v0.2-rc2 발표

Wed Sep 17 10:16:23 KST 2003
	- v0.2-rc1 발표

Wed Sep 17 03:51:03 KST 2003
	* changelog 기록을 중간에 놓쳤습니다. 너무 게으르네요. 한번에
	  정리합니다.

	- 리스트에서 각 아이템을 정렬하면 상태 정보가 저장되어서 다음번에
	  같은 디렉토리를 호출할 때 이전 정렬상태에 따라서 정렬됩니다.
	  기본은 createdTime 입니다.
	- 메세지 작성 템플릿과 lib/Module_message.php의 add()와
	  reply()를 수정했습니다.
	- 주소록 그룹별로 그룹 전체에게 메일을 메일을 보낼 수 있습니다.
	- 주소록을 그룹별로 관리할 수 있습니다.
	- 기타 설정 부분 레이아웃 변경
	- lib/Site.php
		: $_SESSION["user_previous_page"]를 기록, 다음 페이지에서
		이전페이지를 호출할 수 있도록 함.
		$_SESSION["user_not_save_url"]를 true로 지정하면 기록하지 않음.
	- 도메인 관리자, postmaster
	- 다음페이지에서 보여줄 에러메세지를 기록하는
	  $_SESSION["user_msg"]를 $_SESSION["tmp"]["msg"]로 수정했습니다.
	- 수신자확인 서비스 Delivery Notification Service를 지원하도록
	  했습니다. 메세지 수신자가 메일을 읽으면
	  mesian_url/module/message/action/dlvrntfctn을 message_id를 인수로
	  해서 호출하게 됩니다. 다만 Html을 볼 수 없는 이메일
	  클라이언트에서는 무용지물입니다.

Wed Sep 17 03:44:14 KST 2003
	- lib/Items.php
	- lib/Extend_card.php
		: 메일, 주소 리스트에서 각 항목별로 정렬할 수 있도록 수정.

Wed Sep 17 03:41:52 KST 2003
	- config/tables.php
		: mail_filter table의 directory_num 필드 속성을 varchar에서 int
		타입으로 수정. (버그였네요.)

Tue Sep 19 08:36:41 KST 2003
	- v0.1.2 '외로운 외침' 발표

Wed Sep 10 05:28:39 KST 2003
	- v0.1.1 발표
	  이전 버전에 몇가지 버그가 있었습니다. 그리고 데이터베이스 파일이
	  완전하기 못해 설치가 되지 않았습니다.

	- "아크라"님이 지적해주신, 보내는 메세지 본문이 한줄로 처리되는
	  버그를 수정했습니다.
	- 주소록을 그룹별로 정리할 수 있습니다.

Wed Sep  3 23:21:36 KST 2003
	- v0.1.1 발표

Wed Sep  3 20:20:33 KST 2003
	- v0.1에서 메일 필터링 버그 고침.

Wed Sep  3 21:49:20 KST 2003
	- v0.1 발표

@
